/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package com.rjconsultores.ventaboletos.web.utilerias.render;

import com.rjconsultores.ventaboletos.entidad.SeguroKm;
import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

/**
 *
 * @author Desenvolvimento
 */
public class RenderSeguroKm  implements ListitemRenderer {

    public void render(Listitem lstm, Object o) throws Exception {
        SeguroKm taxaKm = (SeguroKm) o;

        Listcell lc = new Listcell(taxaKm.getSegurokmId()==null?"-":taxaKm.getSegurokmId().toString());
        lc.setParent(lstm);

        lc = new Listcell(taxaKm.getOrgaoconcedente().getDescOrgao());
        lc.setParent(lstm);

        lc = new Listcell(taxaKm.getKmate().toString());
        lc.setParent(lstm);

        lc = new Listcell(taxaKm.getValortaxa().toString());
        lc.setParent(lstm);

        lstm.setAttribute("data", taxaKm);
    }

}
